<?php
/* $Id: CYShopData.php,v 1.5 2007/03/08 16:27:56 tobiashaller Exp $ */
require_once("configure.php");
require_once('CYYatVariantSets.php');
require_once('CYYatVariants.php');
require_once('CYYatCategories.php');
require_once('CYYatArticles.php');

class CYShopData {
	var $outputType;
	var $filename;
	function CYShopData($outputType) {
		$this->outputType = $outputType;
		switch($outputType) {
			case 'csv':
			$this->filename = FS_YATEGO . 'yatego.csv';
			break;
			case 'send':
			case 'zip':
			$this->filename = FS_YATEGO . 'yatego.gz';
			break;
		}
		@unlink($this->filename);
		mysql_connect(DB_SERVER, DB_SERVER_USERNAME, DB_SERVER_PASSWORD)
		or die('Could not connect: ' . mysql_error());
		mysql_select_db(DB_DATABASE) or die('Could not select database');
	}
// private ouput ----------------------------------------------------
	function output($text) {
		switch($this->outputType) {
			case 'download':
			case 'text':
				print $text;
				break;
			case 'send':
			case 'zip':
				if (!$handle = gzopen($this->filename, "a9")) {
					print "Kann die Datei $this->filename nicht �ffnen";
					exit;
				}
				if (!gzwrite($handle, $text)) {
					print "Kann in die Datei $this->filename nicht schreiben";
					exit;
				}
				gzclose($handle);
				break;
			case 'csv':
				if (!$handle = fopen($this->filename, "a")) {
					print "Kann die Datei $this->filename nicht �ffnen";
					exit;
				}
				if (!fwrite($handle, $text)) {
					print "Kann in die Datei $this->filename nicht schreiben";
					exit;
				}
				fclose($handle);
				break;
		}
	}
// private getSortimentData -----------------------------------------
	function getSortimentData($type) {
		$result = mysql_query($type->getSQLQuery()) or die('Fehler bei Sortimentabfrage: ' . mysql_error());
		$i = 0;
		while ($i < mysql_num_fields($result)) {
			$meta = mysql_fetch_field($result, $i);
			$this->output($meta->name . ';');
			$i++;
		}
		$this->output("\r\n");
		while ($row = mysql_fetch_assoc($result)) {
    		$line = $type->getSortimentData($row);
    		$this->output($line);
		}

		mysql_free_result($result);
	}
// public getVariantSets --------------------------------------------
	function getVariantSets() {
		$variantSets = new CYYatVariantSets(YATEGO_LANGUAGE);
		$this->getSortimentData($variantSets);
	}
// public getVariants -----------------------------------------------
	function getVariants() {
		$variants = new CYYatVariants(YATEGO_LANGUAGE);
		$this->getSortimentData($variants);
	}
// public getCategories ---------------------------------------------
	function getCategories() {
		$categories = new CYYatCategories(YATEGO_LANGUAGE);
		$this->getSortimentData($categories);
	}
// public getArticles -----------------------------------------------
	function getArticles() {
		$articles = new CYYatArticles(YATEGO_LANGUAGE);
		$this->getSortimentData($articles);
	}
// private PostToHost -----------------------------------------------
	function PostToHost($host, $port, $path, $referer, $data_to_send)
	{
		$dc = 0;
		$bo="-----------------------------305242850528394";

		$fp = fsockopen($host, $port, $errno, $errstr);
		if (!$fp) {
			echo "errno: $errno \r\n";
			echo "errstr: $errstr\r\n";
			return $result;
		}

		fputs($fp, "POST $path HTTP/1.0\r\n");
		fputs($fp, "Host: $host\r\n");
		fputs($fp, "Referer: $referer\r\n");
		fputs($fp, "User-Agent: Mozilla/4.05C-SGI [en] (X11; I; IRIX 6.5 IP22)\r\n");
		fputs($fp, "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, image/png, */*\r\n");
		fputs($fp, "Accept-Charset: iso-8859-1,*,utf-8,*,iso-8859-15\r\n");
		fputs($fp, "Content-type: multipart/form-data; boundary=$bo\r\n");

		foreach($data_to_send as $key=>$val) {
			$ds =sprintf("--%s\r\nContent-Disposition: form-data; name=\"%s\"\r\n\r\n%s\r\n", $bo, $key, $val);
			$dc += strlen($ds);
		}
		$dc += strlen($bo)+3;
		fputs($fp, "Content-length: $dc \r\n");
		fputs($fp, "\r\n");

		foreach($data_to_send as $key=>$val) {
			$ds =sprintf("--%s\r\nContent-Disposition: form-data; name=\"%s\"\r\n\r\n%s\r\n", $bo, $key, $val);
			fputs($fp, $ds );
		}
		$ds = "--".$bo."--\r\n";
		fputs($fp, $ds);

		$res = fread($fp, 15);
		fclose($fp);

		return $res;
	}
// public sendData --------------------------------------------------
	function sendData() {
		$fa = @file(FS_YATEGO . "yatego.gz");

		$xf = implode("", $fa);

		$data["user"]			= YATEGO_USERNAME; // Yatego-Login (bzw. Yatego-Domain inkl. .yatego.com
		$data["passwd"]     	= YATEGO_PASSWORD; // Passwort f�r Login
		$data["action"]     	= "import_csv"; // Aktion (F�r den Import von Excel-Offline-Tools "import", f�r den Import von CSV "import_csv
		$data["delall"]			= "0"; // L�schen aller Daten vor Import (1) (Artikel-Reset), keine L�schaktion vor Import (0)
		$data["import_mode"]	= "1"; // L�schen aller Daten die nicht in der Import-Datei vorhanden sind (1), nicht L�schen (0)
		$data["import_pic"]		= "0"; // Alle (max. 5) Bilder aus der Langbeschreibung als Bilder verwenden (1), nicht verwenden (0)
		$data["import_file\"; filename=\"yatego.gz"]        = $xf; // Dateiname des Zip-Archivs

		$x = $this->PostToHost("www1.yatego.com",80,"/admin/modules/yatego/importexport.php","www1.yatego.com/admin/modules/yatego/importexport.php",$data);

		if (strpos($x, "HTTP/1.1 200 OK") !== false)
			print "<h2>Ihre Daten wurden zum Import angenommen.</h2>";
		else
			print "<h2>Fehler beim Import.</h2>";
	}
}
?>