<?php
/* $Id: CYYatArticles.php,v 1.9 2007/03/28 15:51:41 tobiashaller Exp $ */
require_once('CYYatSortiment.php');

class CYYatArticles extends CYYatSortiment {
	function CYYatArticles($languageID) {
		$this->sqlQuery = ARTICLE_SELECT;
	}

	function genLongDesc($desc, $title=''){
		if(H2_LONG_DESC == 'true') {
			$desc = '<h2>' . $title . '</h2>' . $desc;
		}
		$desc=str_replace("<html", '', $desc);
		$desc=str_replace("<head", '', $desc);
		$desc=str_replace("\r", '', $desc);
		$desc=str_replace("\n", '', $desc);
		$desc=str_replace('"', '""', $desc);
		$desc="\"".$desc."\"";
		return $desc;
	}

	function genShortDesc($desc, $title=''){
		$desc=str_replace("\r", '', $desc);
		$desc=str_replace("\n", '', $desc);
		$desc=strip_tags($desc);
		$len=GEN_SHORT_DESC=='true'?130-strlen($title)-6:130-3;
		$desc=substr($desc, 0, $len);
		if(GEN_SHORT_DESC == 'true') {
			$desc=$title." - ".$desc;
		}
		$desc=str_replace('"', '""', $desc);
		$desc="\"".$desc."...\"";
		return $desc;
	}

	function genPicture($pic){
		$pic = WS_YATEGO_IMAGES . $pic;
		return $pic;
	}

	function genURL($url){
		$url = WS_CATALOG."product_info.php?products_id=".$url;
		return $url;
	}

	function genTitle($title){
		$title=str_replace('"', '""', $title);
		$title = "\"".$title."\"";
		return $title;
	}

	function getSortimentData($sqlResultArray) {
		if($sqlResultArray['long_desc']) {
			$sqlResultArray['long_desc']=$this->genLongDesc($sqlResultArray['long_desc'], $sqlResultArray['title']);
		}
		if($sqlResultArray['short_desc']) {
			$sqlResultArray['short_desc']=$this->genShortDesc($sqlResultArray['short_desc'], $sqlResultArray['title']);
		}
		else {
			$sqlResultArray['short_desc']=$this->genShortDesc($sqlResultArray['long_desc'], $sqlResultArray['title']);
		}
		if($sqlResultArray['picture']) {
			$sqlResultArray['picture']=$this->genPicture($sqlResultArray['picture']);
		}
		if($sqlResultArray['picture2']) {
			$sqlResultArray['picture2']=$this->genPicture($sqlResultArray['picture2']);
		}
		if($sqlResultArray['picture3']) {
			$sqlResultArray['picture3']=$this->genPicture($sqlResultArray['picture3']);
		}
		if($sqlResultArray['picture4']) {
			$sqlResultArray['picture4']=$this->genPicture($sqlResultArray['picture4']);
		}
		if($sqlResultArray['picture5']) {
			$sqlResultArray['picture5']=$this->genPicture($sqlResultArray['picture5']);
		}
		if($sqlResultArray['url']) {
			$sqlResultArray['url']=$this->genURL($sqlResultArray['url']);
		}
		if($sqlResultArray['title']) {
			$sqlResultArray['title']=$this->genTitle($sqlResultArray['title']);
		}
		$result='';
		foreach($sqlResultArray as $field) {
			$result .= $field . ';';
		}
		$result .= "\r\n";			
		return $result;
	}
}

?>