<?php
/* $Id: CYYatProductsCSV.php,v 1.5 2007/01/30 16:06:41 tobiashaller Exp $ */
require('CYYatProducts.php');

class CYYatProductsCSV {
	var $fileHandle;
	var $csvStructure;
	function CYYatProductsCSV($filename) {
		$this->csvStructure = array(
			array('Bestellnummer'),
			array('Artikelnummer'),
			array('Produktname'),
			array('Variantenname'),
			array('Anzahl'),
			array('Einzelpreis'),
			array('Mengenrabatt'),
			array('Gesamtpreis'),
			array('Steuer')
		);
		$this->fileHandle = fopen($filename, "r");
		$data = fgetcsv($this->fileHandle, 1000, ";");
		foreach($data as $csvIndex => $csvField) {
			foreach($this->csvStructure as $structureIndex => $structureField) {
				if($csvField == $structureField[0]) {
					$this->csvStructure[$structureIndex][1] = $csvIndex;
				}
			}
		}
	}
	
	function getProductsFromOrder($bestellnummer) {
		$product = new CYYatProducts();
		$handle = fopen($filename, "r");
		while (($data = fgetcsv($handle, 1000, ";")) !== FALSE) {
			if($data[0] == $bestellnummer) {
				$product->Bestellnummer = $data[0];
				$product->Artikelnummer = $data[1];
				$product->Produktname = $data[2];
				$product->Variantenname = $data[3];
				$product->Anzahl = $data[4];
				$product->Einzelpreis = $data[5];
				$product->Mengenrabatt = $data[6];
				$product->Gesamtpreis = $data[7];
				$product->Steuer = $data[8];
				$products[] = $product;
			}
		}
		fclose($handle);
		return $products;
	}
	
	function test() {
		while (($data = fgetcsv($this->fileHandle, 1000, ";")) !== FALSE) {
			foreach($this->csvStructure as $structureIndex) {
				$temp = $structureIndex[1];
				print("{$structureIndex[0]}: {$data[$temp]} ");
			}
			print("\r\n");
		}
	}

	function openProductsCSV($filename) {
		$products = new CYYatProducts();
		$handle = fopen($filename, "r");
		while (($data = fgetcsv($handle, 1000, ";")) !== FALSE) {
			$data = fgetcsv($handle, 1000, ";");
			$orders->Bestellnummer = $data[0];
			$orders->Artikelnummer = $data[1];
			$orders->Produktname = $data[2];
			$orders->Variantenname = $data[3];
			$orders->Anzahl = $data[4];
			$orders->Einzelpreis = $data[5];
			$orders->Mengenrabatt = $data[6];
			$orders->Gesamtpreis = $data[7];
			$orders->Steuer = $data[8];
			$orders->writeOrder();
		}
		fclose($handle);
	}
}
?>